<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: jquery_translate_panel.php
| Developers: Ankur Thakur
| Site: http://ankurthakur.in/
|       http://php-fusion.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Infusion Folder
$folder = INFUSIONS."jquery_translate_panel/";

if (file_exists($folder."locale/".$settings['locale'].".php")) {
   include $folder."locale/".$settings['locale'].".php";
     } else {
   include $folder."locale/English.php"; 
}

/* -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */
$languages = array('AFRIKAANS' => 'af','ALBANIAN' => 'sq','ARABIC' => 'ar','BELARUSIAN' => 'be','BULGARIAN' => 'bg','CATALAN' => 'ca','CHINESE' => 'zh','CHINESE_SIMPLIFIED' => 'zh-CN','CHINESE_TRADITIONAL' => 'zh-TW','CROATIAN' => 'hr','CZECH' => 'cs','DANISH' => 'da','DUTCH' => 'nl','ENGLISH' => 'en','ESTONIAN' => 'et','FILIPINO' => 'tl','FINNISH' => 'fi','FRENCH' => 'fr','GALICIAN' => 'gl','GERMAN' => 'de','GREEK' => 'el','HAITIAN_CREOLE' => 'ht','HEBREW' => 'iw','HINDI' => 'hi','HUNGARIAN' => 'hu','ICELANDIC' => 'is','INDONESIAN' => 'id','IRISH' => 'ga','ITALIAN' => 'it','JAPANESE' => 'ja','KOREAN' => 'ko','LATVIAN' => 'lv','LITHUANIAN' => 'lt','MACEDONIAN' => 'mk','MALAY' => 'ms','MALTESE' => 'mt','NORWEGIAN' => 'no','PERSIAN' => 'fa','POLISH' => 'pl','PORTUGUESE' => 'pt','PORTUGUESE_PORTUGAL' => 'pt-PT','ROMANIAN' => 'ro','RUSSIAN' => 'ru','SERBIAN' => 'sr','SLOVAK' => 'sk','SLOVENIAN' => 'sl','SPANISH' => 'es','SWAHILI' => 'sw','SWEDISH' => 'sv','TAGALOG' => 'tl','THAI' => 'th','TURKISH' => 'tr','UKRAINIAN' => 'uk','VIETNAMESE' => 'vi','WELSH' => 'cy','YIDDISH' => 'yi');
/* -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

/* SETTINGS */
/* Set the Default Locale Here*/
$defaultlocale = "Polish";

/* Translator Panel */
/* Enabled OR Not ??? */
$enabletranslator = true;	// true -> Yes, false -> No

/* Enable All Languages for Translaotr ??? */
$enableall = false;	// true -> Enable All, false -> Use custom Languages which you defined below

/* Set the Languages to be enabled for Translator Panel */
$enabled = array('Hindi', 'CZech', 'French', 'Arabic', 'Danish', 'English', 'French', 'German', 'Lithuanian', 'Russian', 'Spanish', 'UKRAINIAN', 'Greek', 'Italian', 'Irish');

/* Enable Automatic Translation to Locale Language ? */
/* This will be useful for those who are using Locale Switcher
      OR
   Those who uses Different Language for Website and Post Content in Different Languages
*/
/* An Example of Locale Switcher you can see at http://ankurthakur.in/ */
$autoload = false;	// true -> Yes, false -> No

// Adding the JS Files to Head
add_to_head("<script type='text/javascript' src='".$folder."js/jquery.translate-1.4.7-debug-all.js'></script>");

// Changin the Enabled Languages Array to Upper Case for better Usage
foreach ($enabled as $key => $value)
{
	$enabled[$key] = strtoupper($value);
}

// Changing the Locale to the Language Code
if (isset($languages[strtoupper($defaultlocale)]))
{
	$defaultlocale = $languages[strtoupper($defaultlocale)]; 
}

if ($enabletranslator)
{

// Checking if the current Locale is in the Languages of Translator
if (isset($languages[strtoupper($settings['locale'])]))
{
$currentlocale = $languages[strtoupper($settings['locale'])];

if ($autoload && ($defaultlocale != $currentlocale))
{
add_to_head("<script type='text/javascript'>
$(document).ready(function(){
$('body').translate('".$defaultlocale."', '".$currentlocale."');
});
</script>");
}
}
add_to_head("<script type='text/javascript'>
function translate(lang)
{
	$('body').translate('".$defaultlocale."', lang);
}
</script>");

openside($locale['jqt_title']);

echo "<div align='center'>\n<input type='button' value='".$locale['jqt_title']."' class='button' onclick=\"return overlay(this, 'translate_list', 'bottomleft');\" title='".$locale['jqt_title']."' />\n</div>\n";
echo "<div id='translate_list' class='tbl1 bbcode-popup' style='display:none;border:1px solid black;position:absolute;overflow:auto;width:200px;height:auto;' onclick=\"overlayclose('translate_list');\">";
 
if ($enableall)
{
	foreach ($languages as $key => $value)
	{
		if (file_exists($folder."flags/".$value.".png"))
		{
			echo "<a href='javascript:translate(\"".$value."\")'><img src='".$folder."flags/".$value.".png' title='".$key."' alt='".$key."' border='0' vspace='3' hspace='3' /></a>\n";
		}
		else
		{
			echo "<a href='javascript:translate(\"".$value."\")'>".$key."</a>\n";
		}
	}
}
else
{
	foreach ($languages as $key => $value)
	{
		if (in_array($key, $enabled))
		{
			if (file_exists($folder."flags/".$value.".png"))
			{
				echo "<a href='javascript:translate(\"".$value."\")'><img src='".$folder."flags/".$value.".png' title='".$key."' alt='".$key."' border='0' vspace='3' hspace='3' /></a>\n";
			}
			else
			{
				echo "<a href='javascript:translate(\"".$value."\")'>".$key."</a>\n";
			}
		}
	}
}

echo "</div>\n";

// A Hidden Linkback to Author's Website - This will not be shown in the panel- Please Do not Remove
echo "<div style='display: none; width:0; height:0;'><a href='http://ankurthakur.in/'>Visit WwW.AnkurThakur.iN for more Addons</a></div>";

closeside();
}

?>